library bit_ads_pakage;

import 'package:admob_flutter/admob_flutter.dart';
import 'package:flutter/material.dart';

late AdmobInterstitial interstitialAd;
late AdmobReward rewardAd;

class Googleads {
  static ini() {
    WidgetsFlutterBinding.ensureInitialized();
    // Initialize without device test ids.
    Admob.initialize();
  }

  static loadIntra(var unitid) {
    interstitialAd = AdmobInterstitial(
      adUnitId: unitid,
    );
    interstitialAd.load();
  }

  static loadReward(var Unitid) {
    rewardAd = AdmobReward(
      adUnitId: Unitid,
    );
    rewardAd.load();
  }

  static showBanner(var unitid) {
    AdmobBanner(
      adUnitId: unitid,
      adSize: AdmobBannerSize.BANNER,
    );
  }
}
